Bug 1996928 - Enable default operator indexes on ARM
Summary: Enable default operator indexes on ARM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.9
Hardware: aarch64
OS: Linux
high
high
Target Milestone: ---
: 4.10.0
Assignee: Kevin Rizza
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks: 2023550
TreeView+ depends on / blocked
 
Reported: 2021-08-24 02:54 UTC by Yaakov Selkowitz
Modified: 2022-03-10 16:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Add default operator catalogs to ARM clusters Reason: ARM support did not exist for any of the default catalogs Result: The operatorhub will include content by default for operators that now support ARM
Clone Of:
Environment:
Last Closed: 2022-03-10 16:05:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 420 0 None None None 2021-08-24 02:55:34 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:06:24 UTC

Description Yaakov Selkowitz 2021-08-24 02:54:32 UTC
Once redhat/redhat-operator-index:v4.9 is available for arm64 (aarch64), then https://github.com/operator-framework/operator-marketplace/pull/413 needs to be reverted so that the default indexes are installed on ARM.

Comment 2 Kevin Rizza 2021-08-30 17:11:17 UTC
Removing the target release for now, this will make its way into a 4.9.z when that is possible

Comment 8 Jian Zhang 2021-11-17 03:49:17 UTC
Please ignore comment 5, sorry, my mistake. Now, I used a Arm payload for the test. As follows,

[cloud-user@preserve-olm-env jian]$ oc get clusterversion
NAME      VERSION                                    AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.0-0.nightly-arm64-2021-11-16-224102   True        False         22m     Cluster version is 4.10.0-0.nightly-arm64-2021-11-16-224102

[cloud-user@preserve-olm-env jian]$ oc -n openshift-operator-lifecycle-manager exec deploy/catalog-operator -- olm --version
OLM version: 0.19.0
git commit: 8970fc081f9c411112446d29ebaeb82d00ba7331

1, check the default index images, all of them work well.
[cloud-user@preserve-olm-env jian]$ oc get pods -n openshift-marketplace
NAME                                    READY   STATUS             RESTARTS        AGE
certified-operators-mhtd4               1/1     Running            0               42m
community-operators-6tccp               1/1     Running            0               42m
marketplace-operator-54cf5869c4-m6mb7   1/1     Running            0               47m
redhat-marketplace-prlmt                1/1     Running            0               42m
redhat-operators-7bgn7                  1/1     Running            0               42m

[cloud-user@preserve-olm-env jian]$ oc get packagemanifest|grep etcd
etcd                                               Community Operators   42m

[cloud-user@preserve-olm-env jian]$ oc logs community-operators-6tccp
time="2021-11-17T02:55:46Z" level=warning msg="\x1b[1;33mDEPRECATION NOTICE:\nSqlite-based catalogs and their related subcommands are deprecated. Support for\nthem will be removed in a future release. Please migrate your catalog workflows\nto the new file-based catalog format.\x1b[0m"
time="2021-11-17T02:55:46Z" level=info msg="Keeping server open for infinite seconds" database=/database/index.db port=50051
time="2021-11-17T02:55:46Z" level=info msg="serving registry" database=/database/index.db port=50051

2, subscribe an operator, for example, etcd-operator
[cloud-user@preserve-olm-env jian]$ oc get sub -n default
NAME   PACKAGE   SOURCE                CHANNEL
etcd   etcd      community-operators   singlenamespace-alpha
[cloud-user@preserve-olm-env jian]$ oc get ip -n default
NAME            CSV                   APPROVAL    APPROVED
install-crl62   etcdoperator.v0.9.4   Automatic   true
[cloud-user@preserve-olm-env jian]$ oc get csv -n default
NAME                  DISPLAY   VERSION   REPLACES              PHASE
etcdoperator.v0.9.4   etcd      0.9.4     etcdoperator.v0.9.2   Installing

[cloud-user@preserve-olm-env jian]$ oc get pods -n openshift-marketplace
NAME                                                              READY   STATUS      RESTARTS   AGE
certified-operators-mhtd4                                         1/1     Running     0          56m
community-operators-6tccp                                         1/1     Running     0          56m
e8c9651078ae45ddb2807e3a07727d459b82d7def5572a7b7ccaae--1-5kfmk   0/1     Completed   0          25s
marketplace-operator-54cf5869c4-m6mb7                             1/1     Running     0          61m
redhat-marketplace-prlmt                                          1/1     Running     0          56m
redhat-operators-7bgn7                                            1/1     Running     0          56m

This operator can be subscribed successfully, LGTM, verify it.

Comment 11 errata-xmlrpc 2022-03-10 16:05:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.